%global debug_package %{nil}

Name: zola
Version: 0.17.2
Release: 1%{?dist}
Summary: Fast static site generator in a single binary with everything built-in

License: MIT
URL: https://github.com/getzola/zola
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++
%if 0%{?el8}
%else
BuildRequires: cargo >= 1.40
BuildRequires: rust >= 1.40
%endif

%description
%{summary}.


%prep
%autosetup -p1
%if 0%{?el8}
curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3
%if 0%{?el8}
$HOME/.cargo/bin/cargo install --root=%{buildroot}%{_prefix} --path=.
%else
cargo install --root=%{buildroot}%{_prefix} --path=.
%endif
rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md CHANGELOG.md EXAMPLES.md CONTRIBUTING.md
%{_bindir}/*


%changelog
* Feb 24 2023 fz0x1 <me@fz0x1.wtf> - 0.17.0
- Update to 0.17.0

* Mar 10 2023 fz0x1 <me@fz0x1.wtf> - 0.17.1
- Update to 0.17.1 (https://github.com/getzola/zola/releases/tag/v0.17.1)

* Mar 20 2023 fz0x1 <me@fz0x1.wtf> - 0.17.2
- Update to 0.17.2 (https://github.com/getzola/zola/releases/tag/v0.17.2)
